Add or update custom properties on an asset

Patches the specified asset with custom metadata properties, including name, date, availability window, and any custom key-value properties. Only provided fields are updated; omitted fields remain unchanged.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The unique identifier of the asset to update

string

New display name for the asset (sent as displayName)

string

New display date for the asset in ISO 8601 format (sent as displayDate)

customProperties
object

Key-value pairs of custom metadata properties

string

Start date for content availability in ISO 8601 format

string

End date for content availability in ISO 8601 format

Responses
200

Success

400

Bad Request

401

The caller is not authenticated

404

The asset was not found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!